> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sub accounts

> Get account api key permission

**Limit 10 requests per 60 seconds**\
Get subaccount list.

Permission: Main account only.

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "rows": [
              {
                  "applicationId": "6b43de5c-0955-4887-9862-d84e4689f9fe",
                  "name": "sub_account_2",
                  "createdTime": "1606897264.994"
              },
          ]
      },
      "timestamp": 1721295317627
  }

  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/account/subAccounts/all
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/account/subAccounts/all:
    get:
      description: Get account api key permission
      parameters:
        - $ref: '#/components/parameters/ApiKeyHeader'
        - $ref: '#/components/parameters/SignatureHeader'
        - $ref: '#/components/parameters/TimestampHeader'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubAccountsResponse'
      security: []
components:
  parameters:
    ApiKeyHeader:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        example: abcdef123456
      description: api-key
    SignatureHeader:
      name: x-api-signature
      in: header
      required: true
      schema:
        type: string
        example: signaturestring
      description: api-signature
    TimestampHeader:
      name: x-api-timestamp
      in: header
      required: true
      schema:
        type: string
        example: '1718943200000'
      description: api-timestamp
  schemas:
    SubAccountsResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      applicationId:
                        type: string
                        description: The unique identifier for the application.
                      name:
                        type: string
                        description: The name of the application or sub-account.
                      createdTime:
                        type: string
                        description: >-
                          The time the application was created, represented as a
                          Unix timestamp in seconds with millisecond precision.
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````